# HG changeset patch
# User Dan Villiom Podlaski Christiansen <danchr@gmail.com>
# Date 1624542731 -7200
#      Thu Jun 24 15:52:11 2021 +0200
# Node ID 7948fc3f1d57ced1da2411fdb95ef79e57542ac5
# Parent  23cb87c33a44ee81b0df5791eece75593a88caa9
tests: move commit extra extension into tests/testlib

This avoids cluttering the tests data with infrastructure files, and
adjust the name to be consistent with Mercurial's naming conventions.

diff --git a/tests/commitextra.py b/tests/testlib/ext-commit-extra.py
rename from tests/commitextra.py
rename to tests/testlib/ext-commit-extra.py
diff --git a/tests/testutil b/tests/testutil
--- a/tests/testutil
+++ b/tests/testutil
@@ -62,8 +62,8 @@
 
 fn_hg_commitextra() {
     HGDATE="2007-01-01 00:00:$count +0000"
-    hg --config extensions.commitextra=$TESTDIR/commitextra.py commitextra \
-        -d "$HGDATE" "$@" >/dev/null || echo "hg commit error"
+    hg --config extensions.commitextra=$TESTDIR/testlib/ext-commit-extra.py \
+       commitextra -d "$HGDATE" "$@" >/dev/null || echo "hg commit error"
     count=`expr $count + 1`
 }